#
# $Id: balance-defs.make,v 1.8 1991/10/31 00:14:44 ceder Exp $
# Copyright (C) 1991  Lysator Academic Computer Association.
#
# This file is part of the LysKOM server.
# 
# LysKOM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by 
# the Free Software Foundation; either version 1, or (at your option) 
# any later version.
# 
# LysKOM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with LysKOM; see the file COPYING.  If not, write to
# Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
# or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
# MA 02139, USA.
#
# Please mail bug reports to bug-lyskom@lysator.liu.se. 
#
# $Id: balance-defs.make,v 1.8 1991/10/31 00:14:44 ceder Exp $
# This file is included by all Makefiles in the LysKOM hierarchy.
# It gives default values for all variables that is normally used. 
# TOPDIR and SCRIPTDIR must be set before this file is included.
#
# This version is tuned for a Sequent Balance.

SHELL=/bin/sh
AWK = gawk
SED = /usr/bin/sed
CC = gcc -ansi
RM = /usr/gnu/bin/rm -vf
RANLIB = ranlib
TOUCHLIB = ranlib
SYMLINK = ln -s
YACC = bison -d
LEX = flex

INCLUDEDIR	= $(TOPDIR)/include
LIBDIR		= $(TOPDIR)/lib
ANSIDIR		= $(INCLUDEDIR)/ansi

INCLUDES = -I$(ANSIDIR) -I$(INCLUDEDIR)
OPTIMIZE-FLAGS = -O
MISC-CFLAGS = -g -Wall
PIPE = -pipe

# -h flag makes NULL pointer references generate runtime errors
LDFLAGS = -h -L$(LIBDIR)

CFLAGS =  $(INCLUDES)  $(OPTIMIZE-FLAGS)  $(MISC-CFLAGS) $(PIPE) $(TARGET)

# LysKOM executables that the typical user don't use go here.
# (The server, dbck, et c)

LYSKOMSYSBIN = /usr/lyskom/bin

# User executables (such as lyskom, kompost et c)

LYSKOMUSRBIN = /usr/local/bin



GENERIC-CLEAN = *~ *.o lib*.a core temp-Makefile temp-?-Makefile

GENERIC-DIST-CLEAN = TAGS Topdir.make dependencies

EXPORTS =

# The Makefiles also dependes on the variables
# AR, ARFLAGS
# that are automatically set by GNU Make.
