/*
 * $Id: intern.h,v 0.3 1991/09/15 10:24:29 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: intern.h,v 0.3 1991/09/15 10:24:29 linus Exp $
 *
** isc-internals.h                Definitions and prototypes used internally
**
** history:
** 910305 pen      initial coding
*/

#ifndef __ISC_INTERNALS_H__
#define __ISC_INTERNALS_H__



/* isc_log.c */
extern void
isc_log(const char *format, ...);


/* isc_abort.c */
extern void
isc_abort(const char *message);


/* isc_alloc.c */
extern void *
isc_malloc(size_t length);

extern void *
isc_realloc(void *buf, size_t length);

extern void
isc_free(void *buf);

extern char *
isc_strdup(const char *str);

/* isc_queue.c */
extern IscMsgQueue *
isc_newqueue(void);

extern int
isc_pollqueue(IscMsgQueue *queue);

extern void
isc_killqueue(IscMsgQueue *queue);

extern void
isc_pushqueue(IscMsgQueue *queue, IscMessage *msg);

extern IscMessage *
isc_topqueue(IscMsgQueue *queue);

extern int
isc_sizequeue(IscMsgQueue *queue);

extern IscMessage *
isc_popqueue(IscMsgQueue *queue);

extern IscMessage *
isc_readmsg(IscSession  * scb);

extern int
isc_getlportnum(int fd);

extern char *
isc_gethostinfo(int fd, int *port);

extern IscSession *
isc_newsession(int fd);

extern void
isc_addsession(IscMaster *mcb, IscSession *scb);

#endif
