/*
 * $Id: isc_log.c,v 0.3 1991/09/15 10:24:07 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
** isc_log.c                                 Functions for event/debug logs
**
** history:
** 910305 pen      moved into separate file
*/

static char *rcsid = "$Id: isc_log.c,v 0.3 1991/09/15 10:24:07 linus Exp $";

#include <stddef.h>
#include <stdarg.h>
#include "isc.h"
#include "intern.h"


/* Pointer to function for logging of events */
static void 	(*isc_logfn)(const char *format, va_list AP)	  = NULL;

/*
** Designate a log function for the isc-server routines
*/
void
isc_setlogfn(void (*logfn)(const char *format, va_list AP))
{
  isc_logfn = logfn;
}



/*
** Handle log messages
*/
void
isc_log(const char *format, ...)
{
  va_list AP;

  
  va_start(AP, &format);
  if (isc_logfn)
    (*isc_logfn)(format, AP);

  va_end(AP);
}



