/*
 * $Id: isc_master.c,v 0.3 1991/09/15 10:24:03 linus Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
** isc_master.c                               IscMaster control functions
**
** history:
** 910305 pen      moved to separate file
*/

static char *rcsid = "$Id: isc_master.c,v 0.3 1991/09/15 10:24:03 linus Exp $";

#include <stdlib.h>
#include <sys/file.h>
#include "isc.h"
#include "intern.h"



void
isc_setmaxmsgsize(IscMaster  * mcb,
		  int          size)
{
    mcb->maxmsgsize = size;
}
    


/*
 * This routine will initialize the ISC subsystem
 */
IscMaster *
isc_initialize(IscConfig  * cfg)
{
    IscMaster  * mcb;


    mcb = (IscMaster *) isc_malloc(sizeof(IscMaster));

    mcb->listenc = 0;
    mcb->listenv = NULL;

    mcb->sessions = NULL;
    
    mcb->maxmsgsize     = ISC_DEFAULT_MAX_MSG_SIZE;
    mcb->maxqueuedsize  = ISC_DEFAULT_MAX_QUEUED_SIZE;
    mcb->maxdequeuelen  = ISC_DEFAULT_MAX_DEQUEUE_LEN;

    return mcb;
}


void
isc_shutdown(IscMaster  * mcb)
{
  int i;


  for (i = 0; i < mcb->listenc; i++)
    if (mcb->listenv[i].fd != -1)
      isc_unlisten(mcb, i);

  while (mcb->sessions)
    isc_close(mcb->sessions);

  isc_free(mcb->listenv);
  isc_free(mcb);
}

